Name:           python-application
Version:        1.4.0
Release:        2%{?dist}
Summary:        Basic building blocks for python applications

Group:          Development/Languages
License:        LGPLv2+
URL:            http://pypi.python.org/pypi/python-application
Source0:        http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  python-devel
BuildArch:      noarch


%description
This package is a collection of modules that are useful when building python
applications. Their purpose is to eliminate the need to divert resources
into implementing the small tasks that every application needs to do in
order to run successfully and focus instead on the application logic itself.


%prep
%setup -q
chmod 0644 examples/*.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%if 0%{?rhel}
%clean
rm -rf $RPM_BUILD_ROOT
%endif


%files
%defattr(-,root,root,-)
%doc LICENSE ChangeLog NEWS PKG-INFO README examples
%{python_sitelib}/application/
%{python_sitelib}/python_application-%{version}-*.egg-info


%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep  3 2012 Michel Salim <salimma@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul  2 2012 Michel Salim <salimma@fedoraproject.org> - 1.3.1-1
- Update to 1.3.1
- Drop unneeded %%{python_sitelib} declaration

* Wed Feb  1 2012 Michel Salim <salimma@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0
- Remove sections of spec unneeded on supported Fedora releases

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Sep  9 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.5-1
- Ver. 1.1.5

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.2-1
- Ver. 1.1.2

* Mon Jun  1 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.1-2
- Added missing BR python-setuptools-devel

* Fri May 29 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.1-1
- Initial build

